<template>
    <h1>Meus pedidos</h1>
    <ul>
        <li v-for="(pedido, index) in state.pedidos" :key="index">
            {{pedido}}
        </li>
    </ul>
</template>

<script>
import { reactive } from '@vue/reactivity'
import { requestPOST } from '../../services/http/index'
import { getState } from '../../store/index'
import { onMounted } from '@vue/runtime-core'

export default {
    setup() {
        const state = reactive({
            pedidos: []
        })
        const getPedidos = () => {
            requestPOST(`${getState.env.VUE_APP_URL_API_LOJA}/meusPedidos`).then(response => {
                state.pedidos = response.data
            })
        }

    onMounted(() => {
        getPedidos()
    })

        return {
            state,
            getPedidos
        }
    },
}
</script>
